const purgecss = require("postcss-purgecss")({
  content: ["./hugo_stats.json"],
  defaultExtractor: (content) => {
    let els = JSON.parse(content).htmlElements;
    return els.tags.concat(els.classes, els.ids);
  },
});

if (process.env.HUGO_ENVIRONMENT === "production") {
  module.exports = {
    plugins: [purgecss],
  };
}
